package com.sunxung.factoring.component.enums;

public enum ProjectAndEnterpriseStatusEnums {

    VOTE("c_project_and_enterprise_status_1","未通过"),

    ADD_INFO("c_project_and_enterprise_status_2","补充信息"),

    DUE_DILIGENCE_REVIEW("c_project_and_enterprise_status_3","尽调审核"),

    CREDIT_SUCCESS("c_project_and_enterprise_status_4","授信成功");

    String code;

    String desc;

    ProjectAndEnterpriseStatusEnums(String code, String desc){
        this.code = code;
        this.desc = desc;
    }

    public static ProjectAndEnterpriseStatusEnums getByCode(String code){
        for(ProjectAndEnterpriseStatusEnums ft:values()){
            if(ft.code.equals(code)){
                return ft;
            }
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
